%define nam xmailbox
%define ver 2.5
%define rel 16mdk

%define prefix %{_prefix}

Summary: An X Window System utility which notifies you of new mail.
Name: %nam
Version: %ver
Release: %rel
License: MIT
Group: Networking/Mail
BuildRequires: XFree86-devel xpm-devel
Source0: ftp://ftp.x.org/contrib/applications/%{nam}-%{ver}.tar.bz2
Source1: %{nam}_menuentry.bz2
Source2:    %{name}-16.png
Source3:    %{name}-32.png
Source4:    %{name}-48.png
Patch1: xmailbox-2.2-xpm.patch.bz2
Patch2: xmailbox-2.4-glibc.patch.bz2
BuildRoot: %{_tmppath}/%{nam}-buildroot
Prefix: %{prefix}
%description
The xmailbox program is an X Window System program which notifies you
when mail arrives.  Xmailbox is similar to the xbiff program, but it
offers more features and notification options.

Install the xmailbox package if you'd like a graphical program for X
which will notify you when new mail arrives.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make DESTDIR=$RPM_BUILD_ROOT install install.man

#menu and icons
install -m 755 -d $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(xmailbox): needs="X11" icon="xmailbox.png" \
section="Networking/Mail" \
title="Xmailbox" longtitle="Mail notifier" \
command="/usr/X11R6/bin/xmailbox"
EOF

install -m 755 -d $RPM_BUILD_ROOT%_miconsdir
cp %SOURCE2  $RPM_BUILD_ROOT%_miconsdir/%{name}.png
install -m 755 -d $RPM_BUILD_ROOT%_iconsdir
cp %SOURCE3  $RPM_BUILD_ROOT%_iconsdir/%{name}.png
install -m 755 -d $RPM_BUILD_ROOT%_liconsdir
cp %SOURCE4  $RPM_BUILD_ROOT%_liconsdir/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{prefix}/X11R6/bin/xmailbox
%{prefix}/X11R6/man/man1/xmailbox.1*
%{prefix}/X11R6/lib/X11/app-defaults/XMailbox
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XMailbox
%_menudir/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Sun May 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5-16mdk
- rebuild for rpm 4.2
- fix unpackaged files
- menu in spec
- png icons

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 2.5-15mdk
- rebuilt for cooker

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.5-14mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5-13mdk
- BM

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.5-12mdk
- Remove menu entry

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.5-11mdk
- some changes to spec files
- add icons (entries without icons are very ugly ;-)

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 2.5-10mdk
- Spec and group fixes
- Menu

* Fri Nov 5 1999 Damien Krotkine <damien.mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- updated wmconfig Group line

* Wed Oct 29 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
